Network.Wreq.Lens

# Configuration

data Options

manager

proxy

auth

header

param

redirects

headers

params

cookie

cookies

type ResponseChecker

checkResponse

## Proxy setup

data Proxy

proxyHost

proxyPort

# Cookie

data Cookie

cookieName

cookieValue

cookieExpiryTime

cookieDomain

cookiePath

cookieCreationTime

cookieLastAccessTime

cookiePersistent

cookieHostOnly

cookieSecureOnly

cookieHttpOnly

# Response

data Response body

responseBody

responseHeader

responseLink

responseCookie

responseHeaders

responseCookieJar

responseStatus

responseVersion

## Status

data Status

statusCode

statusMessage

# Link header

data Link

linkURL

linkParams

# POST body part

data Part

partName

partFileName

partContentType

partGetBody

# Parsing

atto

atto_